summaryrefslogtreecommitdiff
path: root/tests/fsck-tests/022-qgroup-rescan-halfway/test.sh
diff options
context:
space:
mode:
authorDimitri John Ledkov <xnox@ubuntu.com>2017-02-13 11:24:33 +0000
committerDimitri John Ledkov <xnox@ubuntu.com>2017-02-13 11:24:33 +0000
commit4305d024938113df5d73021a09eb2a991f54ca2f (patch)
treed9e7ecc9db14bcc1394607a9e6c644a8b93e9bea /tests/fsck-tests/022-qgroup-rescan-halfway/test.sh
parente693f0e4ffb1776a05b78264ee3d93d5f07efede (diff)
New upstream release Closes: #849353, #817806, #854915, #845473
Diffstat (limited to 'tests/fsck-tests/022-qgroup-rescan-halfway/test.sh')
-rwxr-xr-xtests/fsck-tests/022-qgroup-rescan-halfway/test.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/tests/fsck-tests/022-qgroup-rescan-halfway/test.sh b/tests/fsck-tests/022-qgroup-rescan-halfway/test.sh
new file mode 100755
index 00000000..1dc8f8fc
--- /dev/null
+++ b/tests/fsck-tests/022-qgroup-rescan-halfway/test.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+# check whether btrfsck can detect running qgroup rescan
+
+source $TOP/tests/common
+
+check_prereq btrfs
+
+check_image() {
+ local image
+
+ image=$1
+ run_check_stdout $TOP/btrfs check "$image" 2>&1 | \
+ grep -q "Counts for qgroup id"
+ if [ $? -eq 0 ]; then
+ _fail "Btrfs check doesn't detect rescan correctly"
+ fi
+}
+
+check_all_images